.modal {
  display: none;
  opacity: 0;
  transition: opacity .5s;
  align-items: center;
  justify-content: center;
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 500;
  .modal-dialog {
    background-color: $brand-white;
    z-index: 1000;
    max-width: 500px;
    padding: 32px;
    text-align: center;
    position: relative;
    margin: 0 16px;
    .modal-close-btn {
      position: absolute;
      top: 18px;
      right: 18px;
      img {
        width: 16px;
      }
    }
    .modal-content {
      h3 {
        height: 28px;
        color: $brand-primary-600;
      }
      p {
        color: $brand-primary-600;
      }
      .check-icon-box {
        width: 48px;
        height: 48px;
        border-radius: 50%;
        background-color: #c5fff1;
        margin: 0 auto;
        display: flex;
        align-items: center;
        justify-content: center;
        img {
          width: 28px;
        }
      }
      .btn-container {
        margin-top: 24px;
        display: flex;
        justify-content: space-between;
        button {
          flex-grow: 1;
          width: -webkit-fill-available;
          margin-right: 16px;
          padding-left: 0;
          padding-right: 0;
          &:last-child {
            margin-right: 0;
          }
        }
      }
    }
  }
}

.modal-open {
  display: flex;
  opacity: 1;
}
